### Function

# GLib Date new

#### Declaration

    GDate*
    g_date_new (
      void
    )

#### Description

Allocates a `GDate` and initializes it to a safe state. The new date will be cleared (as if you’d called g_date_clear()) but invalid (it won’t represent an existing day). Free the return value with g_date_free().

#### Return value

Type: `GDate`

A newly-allocated `GDate`.

The caller of the function takes ownership of the data, and is responsible for freeing it.